import { request } from '@/api/_service'

const BASE = 'planning_production/produce/change_battery_process/'

function apiParams (method, data = {}) {
  return {
    method,
    platform: 'background',
    ...data
  }
}

export function verifyBatteryProcessInfo (data) {
  return request({
    url: BASE + 'verify',
    method: 'get',
    params: apiParams('planning_production_produce_change_battery_process_verify', data)
  })
}

export function changeBatteryProcess (data) {
  return request({
    url: BASE + 'change',
    method: 'get',
    params: apiParams('planning_production_produce_change_battery_process_change', data)
  })
}
